org.apache.solr.common.util

## Class JsonSchemaValidator

- java.lang.Object
- - org.apache.solr.common.util.JsonSchemaValidator

    public class JsonSchemaValidator
    extends Object

A very basic and lightweight json schema parsing and data validation tool. This custom tool is created because a) we need to support non json inputs b) to avoiding double parsing (this accepts an already parsed json as a map) It validates most aspects of json schema but it is NOT A FULLY COMPLIANT JSON schema parser or validator. This validator borrow some design's idea from https://github.com/networknt/json-schema-validator

### Constructor Summary

Constructors
Constructor and Description
`JsonSchemaValidator(Map<?,?> jsonSchema)`
`JsonSchemaValidator(String jsonString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `validateJson(Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonSchemaValidator

    public JsonSchemaValidator(String jsonString)

#### JsonSchemaValidator

    public JsonSchemaValidator(Map<?,?> jsonSchema)

### Method Detail

#### validateJson

    public List<String> validateJson(Object data)